=== debian/changelog ===
nmap (7.95+dfsg-3deepin1) unstable; urgency=medium

  * Disable LSX (-mlsx) on loong64 as it produces broken executables
    as of gcc-12 = 12.3.0-17deepin2.

 -- lichenggang <lichenggang@deepin.org>  Mon, 14 Apr 2025 18:21:28 +0800

nmap (7.95+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Stefano Rivera ]
  * Use pybuild's --name argument to separate builds.

  [ Sven Geuer ]
  * Add patch to fix incompatible pointer type error (Closes: #1100245).

 -- Sven Geuer <sge@debian.org>  Fri, 28 Mar 2025 19:00:38 +0100

nmap (7.95+dfsg-2) unstable; urgency=medium

  * Install zenmap icon (Closes: #1094394)

 -- Hilko Bengen <bengen@debian.org>  Sat, 01 Feb 2025 16:58:52 +0100

nmap (7.95+dfsg-1) unstable; urgency=medium

  * New upstream version 7.95+dfsg
  * Improve cross building: Demote python dependencies to B-D-I.
    Thanks to Helmut Grohne (Closes: #1086647)
  * Add python3-setuptools build-dependency (Closes: #1080676)
  * Rebase patches
  * Adjust for updated build scripts

 -- Hilko Bengen <bengen@debian.org>  Fri, 29 Nov 2024 13:13:42 +0000
