=== debian/changelog ===
nmap (7.95+dfsg-3kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches
  * Remove embedded libpcap in Kali

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 May 2025 17:37:26 +0200

nmap (7.95+dfsg-1kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Steev Klimaszewski <steev@kali.org>  Fri, 03 Jan 2025 14:56:18 -0600

nmap (7.94+git20230807.3be01efb1+dfsg-4kali4) kali-dev; urgency=medium

  * Don't pass privileged flag if resuming

 -- Steev Klimaszewski <steev@kali.org>  Thu, 19 Dec 2024 13:20:35 -0600

nmap (7.94+git20230807.3be01efb1+dfsg-4kali3) kali-dev; urgency=medium

  * Ensure directories are available before writing to them.

 -- Steev Klimaszewski <steev@kali.org>  Mon, 28 Oct 2024 22:17:29 -0500

nmap (7.94+git20230807.3be01efb1+dfsg-4kali2) kali-dev; urgency=medium

  * Add capabilities, take 2.

 -- Steev Klimaszewski <steev@kali.org>  Mon, 23 Sep 2024 18:09:00 -0500

nmap (7.94+git20230807.3be01efb1+dfsg-4kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Steev Klimaszewski <steev@kali.org>  Thu, 19 Sep 2024 15:52:47 -0500

nmap (7.94+git20230807.3be01efb1+dfsg-2+kali3) kali-dev; urgency=medium

  * d/upstream: Add upstream metadata
  * Revert "Fix prerm to remove the correct file"
  * Revert "Add capabilities to nmap"

 -- Steev Klimaszewski <steev@kali.org>  Thu, 20 Jun 2024 13:27:53 -0500

nmap (7.94+git20230807.3be01efb1+dfsg-2+kali2) kali-experimental; urgency=medium

  * Add capabilities to nmap
  * Fix prerm to remove the correct file

 -- Steev Klimaszewski <steev@kali.org>  Wed, 13 Mar 2024 14:13:17 -0500

nmap (7.94+git20230807.3be01efb1+dfsg-2+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 02 Nov 2023 09:10:47 +0700

nmap (7.94+dfsg1-1kali2) kali-dev; urgency=medium

  * Strip unknown ARM64 CFLAG from the build.

 -- Steev Klimaszewski <steev@kali.org>  Mon, 18 Sep 2023 14:18:53 -0500

nmap (7.94+dfsg1-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches
  * Update lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 01 Jun 2023 15:02:29 +0200

nmap (7.93+dfsg1-0kali3) kali-experimental; urgency=medium

  * Fix issues in ms-sql* scripts

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 28 Mar 2023 11:20:29 +0200

nmap (7.93+dfsg1-0kali2) kali-dev; urgency=medium

  * Set ncat's alternatives priority to zero

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 10 Jan 2023 11:24:30 +0700

nmap (7.93+dfsg1-0kali1) kali-dev; urgency=medium

  * New upstream version 7.93+dfsg1
  * Update copyright and move the package to non-free
  * Refresh patches
  * Update lintian-overrides
  * Update debian/copyright
  * Bump Standards-Version to 4.6.1 (no changes)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 06 Oct 2022 16:43:41 +0200

nmap (7.92+dfsg2-1kali1) kali-dev; urgency=medium

  * Sync with Debian: Keep libpcap embedded for Kali
  * Refresh patches (remove obsolete patch to fix the build)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 Jan 2022 15:54:46 +0100

nmap (7.92+dfsg1-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Configure gbp import-dsc for a Debian-derived package

  [ Kali Janitor ]
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Sophie Brun ]
  * New upstream version 7.92+dfsg1
  * Refresh patches
  * Add a patch to fix build
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 26 Oct 2021 09:29:00 +0200

nmap (7.91+dfsg1-1kali1) kali-dev; urgency=medium

  * Import new upstream release. Keep libpcap embedded for Kali

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 12 Oct 2020 15:29:14 +0200

nmap (7.80+dfsg1-5kali1) kali-dev; urgency=medium

  * Import new upstream release. Keep libpcap embedded for Kali

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 13 Jul 2020 11:03:54 +0200

nmap (7.80+dfsg1-2kali2) kali-dev; urgency=medium

  * Refresh patch and import upstream patch to fix issue

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 10 Mar 2020 17:52:31 +0100

nmap (7.80+dfsg1-2kali1) kali-dev; urgency=medium

  * Import new upstream release. Keep libpcap embedded for Kali

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 26 Nov 2019 10:21:49 +0100

nmap (7.80+dfsg1-1kali1) kali-dev; urgency=medium

  * Import new upstream release. Keep libpcap embedded for Kali

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 16 Aug 2019 13:47:35 +0200

nmap (7.70+dfsg1-6kali1) kali-dev; urgency=medium

  * Import new upstream release. Keep libpcap embedded for Kali

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Jan 2019 16:01:01 +0100

nmap (7.70+dfsg1-5kali1) kali-dev; urgency=medium

  * Import new upstream release. Keep libpcap embedded for Kali

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 12 Nov 2018 15:10:19 +0100

nmap (7.70+dfsg1-3kali1) kali-dev; urgency=medium

  * Import new upstream release. Keep libpcap embedded for Kali

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 15 May 2018 11:31:30 +0200

nmap (7.70+dfsg1-0kali2) kali-dev; urgency=medium

  * Rebuild with Debian orig.tag.xz

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 02 Apr 2018 21:12:38 +0200

nmap (7.70+dfsg1-0kali1) kali-dev; urgency=medium

  * Import new upstream release. Keep libpcap embedded for Kali
  * Remove merged patches: 0004-library-versions.patch 0005-autotools.patch
    0006-move-manual-defines.patch
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 26 Mar 2018 14:18:16 +0200

nmap (7.60+dfsg2-1kali1) kali-dev; urgency=medium

  * Synchronize with Debian: reintroduce libpcap included for Kali
    (see bug 4226)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 09 Nov 2017 13:34:04 +0100

nmap (7.40-1kali1) kali-dev; urgency=medium

  * Synchronize with Debian: keep libpcap included for Kali


