## nmap 7.98%2Bdfsg

=== debian/changelog ===
nmap (7.98+dfsg-1) unstable; urgency=medium

  * New upstream version 7.98+dfsg (closes: #1115950)
  * d/patches:
    - gbp pq import/export patches (refresh)
    - Disable-custom-functions-in-ndiff-setup.py.patch: Drop patch, not needed
      anymore
    - dont_define_strlcat_in_libdnet.patch: New patch, drop strlcat definition
      from embedded library libdnet-stripped

 -- Samuel Henrique <samueloph@debian.org>  Wed, 29 Oct 2025 20:21:08 +0000
